Package org.spongepowered.asm.service

## Interface ITreeClassTransformer

All Superinterfaces:
  `ITransformer`

    public interface ITreeClassTransformer
    extends ITransformer

Adapter interface for tree class transformers. Legacy class transformers operate on ASM tree structures (ClassNode).

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `transformClassNode​(java.lang.String name, java.lang.String transformedName, org.objectweb.asm.tree.ClassNode classNode)` Transform a class in byte array form.

### Methods inherited from interface org.spongepowered.asm.service.ITransformer

`getName, isDelegationExcluded`

### Method Detail

#### transformClassNode

    boolean transformClassNode​(java.lang.String name,
                               java.lang.String transformedName,
                               org.objectweb.asm.tree.ClassNode classNode)

Transform a class in byte array form.

Parameters:
  `name` - Class original name
  `transformedName` - Class name after being processed by the class name transformer
  `classNode` - class tree
Returns:
  true if transformations were applied